@charset "UTF-8";
/* ====================
  レスポンシブ設定
====================*/
/* ====================
  フォント設定
====================*/
@import url("https://fonts.googleapis.com/css2?family=Noto+Serif+JP:wght@300;400;500&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Shippori+Mincho:wght@400;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Shadows+Into+Light&display=swap");
/* ====================
  変数設定
====================*/
/* ====================
  基本設定
====================*/
html {
  height: 100%;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  font-size: medium;
  line-height: 1.5;
  font-family: 'Noto Serif JP', '游ゴシック', 'Yu Gothic', '游ゴシック体', 'YuGothic', 'ヒラギノ角ゴ Pro W3', 'Hiragino Kaku Gothic Pro', 'Meiryo UI', 'メイリオ', Meiryo, serif;
  letter-spacing: .1em;
  scroll-behavior: smooth;
}

html *, html *::after, html *::before {
  -webkit-box-sizing: inherit;
          box-sizing: inherit;
}

body {
  height: 100%;
  color: #333;
}

img {
  max-width: 100%;
  height: auto;
  vertical-align: baseline;
}

a {
  text-decoration: none;
  color: #666;
}

a:hover {
  color: #999;
}

/* ====================
  共通設定
====================*/
.l-centering {
  max-width: 1160px;
  width: 95%;
  margin: 0 auto;
}

.l-flex {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}

.l-block {
  font: inherit;
  display: inline-block;
}

/* ====================
  スクロールしてフェードイン
====================*/
/*アニメーション要素のスタイル*/
.animation {
  opacity: 0;
  visibility: hidden;
  -webkit-transition: 1s;
  transition: 1s;
  -webkit-transform: translateY(20%);
          transform: translateY(20%);
}

/*アニメーション要素までスクロールした時のスタイル*/
.active {
  opacity: 1;
  visibility: visible;
  -webkit-transform: translateY(0);
          transform: translateY(0);
}

/* ====================
  アクセシビリティ
====================*/
.screen-reader-text {
  position: absolute;
  overflow: hidden;
  clip: rect(1px, 1px, 1px, 1px);
  width: 1px;
  height: 1px;
}

/* - - - - - - - - - -
  ヒーロー
*/
.top-hero-layout {
  background-color: #fff;
  width: 100%;
  height: 90vh;
  position: relative;
  background-color: transparent;
}

.top-hero-layout #vegas {
  height: 60vh;
  width: 95%;
  position: absolute;
  top: 10%;
  right: 2.5%;
  left: 2.5%;
}

.top-hero-layout .top-hero-copy-container {
  position: absolute;
  bottom: 10%;
  right: 0%;
}

.top-hero-layout .top-hero-copy-container .top-hero-copy {
  font-family: 'Shippori Mincho', serif;
  font-weight: 400;
  font-size: 1.5em;
  color: #666;
}

@media screen and (min-width: 768px) {
  .top-hero-layout {
    height: 95vh;
  }
  .top-hero-layout #vegas {
    height: 70vh;
  }
  .top-hero-layout .top-hero-copy-container {
    bottom: 5%;
  }
  .top-hero-layout .top-hero-copy-container .top-hero-copy {
    font-size: 1.75em;
  }
}

/* ===== min-width: $tab =====*/
@media screen and (min-width: 1024px) {
  .top-hero-layout {
    height: 97vh;
  }
  .top-hero-layout #vegas {
    width: 90%;
    top: 9%;
    right: 5%;
    left: 5%;
  }
  .top-hero-layout .top-hero-copy-container .top-hero-copy {
    font-size: 2em;
  }
}

/* ===== min-width: $pc =====*/
/* - - - - - - - - - -
  コンテンツ汎用
*/
.l-container:nth-of-type(even) {
  background-color: #fffbf7;
}

/* - - - - - - - - - -
  concept
*/
.l-concept .l-first-text {
  margin-bottom: 0;
}

.l-concept.l-container {
  background-image: url(../img/top/concept-wrap.jpg);
  background-image: image-set(url(../img/top/concept-wrap.jpg) 1x, url(../img/top/concept-wrap@2x.jpg) 2x);
  background-image: -webkit-image-set(url(../img/top/concept-wrap.jpg) 1x, url(../img/top/concept-wrap@2x.jpg) 2x);
  background-position: 50% 50%;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
}

/* - - - - - - - - - -
  flowers
*/
.l-flowers-card img {
  width: 100%;
}

.l-flowers-card .text-area-primary {
  font-size: .75em;
  line-height: 1.5;
  background-color: rgba(0, 0, 0, 0.7);
  color: #ccc;
  -webkit-transition: all .3s;
  transition: all .3s;
}

.l-flowers-card a:hover .text-area-primary {
  background-color: rgba(0, 0, 0, 0.9);
  padding-bottom: 2em;
}

.l-flowers-card {
  position: relative;
}

.l-flowers-card .l-text-area {
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  padding: .5em 1em;
}

.l-flowers-card .l-more {
  text-align: end;
  padding-right: 4em;
  position: relative;
}

.l-flowers-card .l-more:after {
  content: '';
  position: absolute;
  top: 0;
  bottom: 0;
  right: .5em;
  display: inline-block;
  width: 3em;
  border-bottom: 1px solid #ccc;
  height: .5em;
  border-right: 1px solid #ccc;
  margin: auto 0;
  -webkit-transform: skew(45deg);
          transform: skew(45deg);
  -webkit-transition: all .2s ease-in-out;
  transition: all .2s ease-in-out;
}

@media screen and (min-width: 1024px) {
  .l-flowers-card .text-area-primary {
    font-size: 1em;
  }
}

/* ===== min-width: $pc =====*/
/* - - - - - - - - - -
  arrange
*/
.l-arrange-card figure {
  text-align: center;
}

.l-arrange-card .dotted-title {
  font-family: "Shippori Mincho", serif;
  font-size: 1.25em;
  padding-bottom: .5em;
  border-bottom: 2px dotted #ccc;
  width: 80%;
}

.l-arrange-card .column-text {
  font-size: .75em;
  line-height: 3;
  margin-bottom: 3em;
}

.l-arrange-card .l-flex {
  -webkit-box-orient: vertical;
  -webkit-box-direction: reverse;
      -ms-flex-direction: column-reverse;
          flex-direction: column-reverse;
}

.l-arrange-card + .l-arrange-card {
  margin-top: 8em;
}

.l-arrange-card .dotted-title {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 1.5em;
}

.l-arrange-card img {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 2em;
}

@media screen and (min-width: 768px) {
  .l-arrange-card figure {
    text-align: left;
  }
  .l-arrange-card .dotted-title {
    font-size: 1.25em;
    padding-bottom: 1em;
    width: 60%;
  }
  .l-arrange-card .column-text {
    font-size: 1em;
    margin-bottom: 3em;
  }
  .l-arrange-card + .l-arrange-card {
    margin-top: 10em;
  }
  .l-arrange-card .dotted-title {
    margin-left: 0;
    margin-right: auto;
  }
  .l-arrange-card img {
    width: 70%;
    margin-left: 0;
    margin-right: auto;
    margin-bottom: 2em;
  }
  .l-arrange-card:nth-of-type(even) .dotted-title {
    margin-left: auto;
    margin-right: 0;
  }
  .l-arrange-card:nth-of-type(even) .l-text-area {
    margin-left: auto;
    margin-right: 0;
    text-align: right;
    width: 100%;
  }
  .l-arrange-card:nth-of-type(even) img {
    margin-left: auto;
    margin-right: 0;
  }
}

/* ===== min-width: $tab ===== */
@media screen and (min-width: 1024px) {
  .l-arrange-card .l-flex {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    margin-bottom: 3em;
  }
  .l-arrange-card .dotted-title {
    width: 100%;
  }
  .l-arrange-card img {
    width: 57%;
    margin-left: auto;
    margin-right: 0;
    margin-bottom: auto;
  }
  .l-arrange-card .text-area-primary {
    width: 40%;
  }
  .l-arrange-card:nth-of-type(even) .l-flex {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
        -ms-flex-direction: row-reverse;
            flex-direction: row-reverse;
  }
  .l-arrange-card:nth-of-type(even) .dotted-title {
    text-align: left;
    margin-left: 0;
    margin-right: auto;
  }
  .l-arrange-card:nth-of-type(even) .text-area-primary {
    text-align: left;
    margin-left: auto;
    margin-right: 0;
    width: 40%;
  }
  .l-arrange-card:nth-of-type(even) img {
    margin-left: 0;
    margin-right: auto;
  }
}

/* ===== min-width: $pc =====*/
/* - - - - - - - - - -
  information
*/
.l-info .l-flex {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.l-info .map {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  filter: sepia(20%);
  -webkit-filter: sepia(20%);
  margin-bottom: 5em;
}

.l-info address {
  width: 100%;
}

.l-info dl {
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  line-height: 2;
}

.l-info dt {
  font-family: "Shippori Mincho", serif;
  font-weight: bold;
  width: 60%;
  margin-left: auto;
  margin-right: auto;
  padding-bottom: .5em;
  border-bottom: 2px dotted #ccc;
  margin-bottom: .5em;
}

.l-info dd {
  margin-bottom: 2em;
}

@media screen and (min-width: 768px) {
  .l-info .map {
    width: 80%;
  }
}

/* ===== min-width: $tab ===== */
@media screen and (min-width: 1024px) {
  .l-info .l-flex {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
  }
  .l-info .map {
    width: 57%;
    height: 30em;
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 5em;
  }
  .l-info address {
    width: 37%;
  }
  .l-info dl {
    text-align: left;
  }
  .l-info dt {
    font-family: "Shippori Mincho", serif;
    font-weight: bold;
    width: 100%;
    margin-left: 0;
    padding-bottom: .5em;
    border-bottom: 2px dotted #ccc;
    margin-bottom: .5em;
  }
  .l-info dd {
    margin-bottom: 2em;
    padding-left: 2em;
  }
}

/* ===== min-width: $pc ===== */
